Package com.treemap

# Class ScaleFactory

java.lang.Object
com.treemap.ScaleFactory

public class ScaleFactory extends Object
Factory class for accessing predefined scaling schemes.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Scale`
  `ABS`
  Returns the absolute value.
  `static final Scale`
  `EXP`
  Returns Euler's number e raised to the power of the value.
  `static final Scale`
  `EXP10`
  Returns the value raised to the power of 10.
  `static final Scale`
  `INVERSE`
  Returns the inverse (1 / x) of the value.
  `static final Scale`
  `LOG`
  Returns the natural logarithm (base e) of the value.
  `static final Scale`
  `LOG1P`
  Returns the natural logarithm of the sum of the argument and 1.
  `static final Scale`
  `MAX`
  Return the inverse value on its range (max - x)
  `static final Scale`
  `MIN`
  Return the translated value x - Min.
  `static final Scale`
  `ORIGINAL`
  Do not scale the value.
  `static final Scale`
  `XPLUS1`
  Return the value plus 1.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(Scale entry)`
  `Scale`
  `get(String name)`
  `Scale`
  `getDefault()`
  `static ScaleFactory`
  `getInstance()`
  `List<Scale>`
  `getScales()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ORIGINAL

    public static final Scale ORIGINAL
    Do not scale the value.

  - ### ABS

    public static final Scale ABS
    Returns the absolute value.

  - ### EXP10

    public static final Scale EXP10
    Returns the value raised to the power of 10.

  - ### EXP

    public static final Scale EXP
    Returns Euler's number e raised to the power of the value.

  - ### INVERSE

    public static final Scale INVERSE
    Returns the inverse (1 / x) of the value.

  - ### LOG

    public static final Scale LOG
    Returns the natural logarithm (base e) of the value.

  - ### LOG1P

    public static final Scale LOG1P
    Returns the natural logarithm of the sum of the argument and 1.

  - ### MIN

    public static final Scale MIN
    Return the translated value x - Min.

  - ### MAX

    public static final Scale MAX
    Return the inverse value on its range (max - x)

  - ### XPLUS1

    public static final Scale XPLUS1
    Return the value plus 1.

- ## Method Details

  - ### getInstance

    public static ScaleFactory getInstance()

  - ### add

    public void add(Scale entry)

  - ### getDefault

    public Scale getDefault()

  - ### getScales

    public List<Scale> getScales()

  - ### get

    public Scale get(String name)